Bug 863727 - SELinux is preventing /usr/bin/composite from 'unlink' accesses on the file magickNERmwI.
SELinux is preventing /usr/bin/composite from 'unlink' accesses on the file m...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:68049c1f68f6a61fdb6c3c96dad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 19:01 EDT by kazuno.shiranui
Modified: 2012-12-16 10:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-16 10:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-06 19:01 EDT, kazuno.shiranui
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-06 19:01 EDT, kazuno.shiranui
no flags Details

  None (edit)
Description kazuno.shiranui 2012-10-06 19:01:34 EDT
Additional info:
libreport version: 2.0.14
kernel:         3.5.4-2.fc17.i686.PAE

description:
:SELinux is preventing /usr/bin/composite from 'unlink' accesses on the file magickNERmwI.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If cree que de manera predeterminada, composite debería permitir acceso unlink sobre  magickNERmwI file.     
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep composite /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                magickNERmwI [ file ]
:Source                        composite
:Source Path                   /usr/bin/composite
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           ImageMagick-6.7.5.6-4.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-149.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.4-2.fc17.i686.PAE #1 SMP Wed
:                              Sep 26 22:10:23 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    2012-10-05 18:37:53 CLST
:Last Seen                     2012-10-05 18:37:53 CLST
:Local ID                      81139de4-c93f-4db5-90c5-9bc4eab41248
:
:Raw Audit Messages
:type=AVC msg=audit(1349473073.617:64): avc:  denied  { unlink } for  pid=32272 comm="composite" name="magickNERmwI" dev="dm-2" ino=2883818 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1349473073.617:64): arch=i386 syscall=unlink success=yes exit=0 a0=9839170 a1=ffffff94 a2=41251ff4 a3=98527d8 items=0 ppid=32254 pid=32272 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=composite exe=/usr/bin/composite subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: composite,thumb_t,user_home_dir_t,file,unlink
:
:audit2allow
:
:#============= thumb_t ==============
:allow thumb_t user_home_dir_t:file unlink;
:
:audit2allow -R
:
:#============= thumb_t ==============
:allow thumb_t user_home_dir_t:file unlink;
:
Comment 1 kazuno.shiranui 2012-10-06 19:01:38 EDT
Created attachment 622843 [details]
File: type
Comment 2 kazuno.shiranui 2012-10-06 19:01:40 EDT
Created attachment 622844 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-08 05:00:29 EDT
What does

# restorecon -R -v /home
Comment 4 Miroslav Grepl 2012-12-16 10:58:01 EST
If the restorecon command does not help, please reopen the bug. Thank you.

Note You need to log in before you can comment on or make changes to this bug.